//: /be/optiloading/AppletMain.java
/*
 * This work is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This work is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * Copyright (c) 2007 Tim Pintens. All rights reserved.
 */

package be.optiloading;

import javax.swing.*;
import java.awt.event.*;

/** 
 * AppletMain is the main class of the applet version.
 * @author Tim Pintens, info@optiloading.be
 * @author <a target="_blank" href="http://www.optiloading.be">www.optiloading.be</a>
 */

public class AppletMain extends JApplet implements ActionListener{

    private static JButton startButton;
	private static Ship usedShip;
	private static Gui optiloading;
	private static Boolean FIRSTTIME = true;

	/**
	 * Initializes the applet and displays a start button
	 */
	public void init(){
		startButton = new JButton("Start");  
		add(startButton);
        startButton.addActionListener(this);
		
    }

	/**
	 * Overwritten method of the ActionListener interface executed when the button is pressed.
	 * @param e ActionEvent specifies the performed action and source.
	 */
	public void actionPerformed(ActionEvent e){
		optiloading = Gui.getInstance(); // Create the gui
		if (FIRSTTIME == true){ // Check if it is the first time the start button is pressed
			usedShip = Ship.getInstance(); // Create the ship
			optiloading.addLog("Gui and ship loaded");
			optiloading.addLogSeparator();
			FIRSTTIME = false;
		} else {optiloading.showFrame();} // Performed if the frame has been closed and the button is pressed again
    }

}